Subject: Re: Failure of 'setup.exe': Rational Rose & path stuff, blue screen of death.
From: "Christopher M. Balz" <[email-masked]>
To: [email-masked]
Date: Thu, 25 Mar 2004 05:54:11 -0800

I just tried cd'ing from a Win2K command prompt to the directory of 
Cygwin's 'setup.exe', and set the path like this:

   PATH C:\WinNT\system32;C:\WinNT;C:\WinNT\system32\Wbem

Then I ran 'setup.exe' and as usual 'setup.exe' finished 99% of its task 
but stopped on a postinstall file (this time, and emacs-related file).  
After 'setup.exe''s usual soft hang here, I clicked cancel.  There was 
nothing to install in the setup, and 'setup' notified me of this.  Then 
the screen went black and flashed a blue screen of death and my machine 
went down.  I rebooted and all was fine, but still same Cygwin 
performance problem (3 minutes between commands).

 - CB

-------- Original Message --------
From: 	- Wed Mar 24 23:12:24 2004
X-UIDL: 	27577d0c24ef7ee5c72008144567d279
X-Mozilla-Status: 	0011
X-Mozilla-Status2: 	00000000
X-Apparently-To: 	[email-masked] via 216.109.117.224; Wed, 24 
Mar 2004 23:01:58 -0800
Return-Path: 	<cygwin-return-90252-christopherbalz=[email-masked]>
Received: 	from 67.72.78.213 (HELO sources.redhat.com) (67.72.78.213) by 
mta121.mail.scd.yahoo.com with SMTP; Wed, 24 Mar 2004 23:01:57 -0800
Mailing-List: 	contact [email-masked]; run by ezmlm
<mailto:cygwin-unsubscribe-christopherbalz=[email-masked]>
List-Subscribe: 	<mailto:[email-masked]>
List-Archive: 	<http://sources.redhat.com/ml/cygwin/>
List-Post: 	<mailto:[email-masked]>
List-Help: 	<mailto:[email-masked]>, 
<http://sources.redhat.com/ml/#faqs>
Sender: 	[email-masked]
Mail-Followup-To: 	[email-masked]
sources.redhat.com with SMTP; 25 Mar 2004 07:01:30 -0000
Received: 	from andrew.cmu.edu (ext194.west.cmu.edu [209.172.121.194]) 
(user=cbalz mech=PLAIN (0 bits)) by smtp2.andrew.cmu.edu 
(8.12.10/8.12.10) with ESMTP id i2P71TcD001103 (version=TLSv1/SSLv3 
cipher=RC4-MD5 bits=128 verify=NOT) for <[email-masked]>; Thu, 25 Mar 
2004 02:01:30 -0500
Message-ID: 	<[email-masked]>
Date: 	Wed, 24 Mar 2004 23:03:34 -0800
From: 	Christopher M. Balz <[email-masked]>
Reply-To: 	[email-masked]
Organization: 	TreeLogic Software Engineering
User-Agent: 	Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6b) 
Gecko/20031205 Thunderbird/0.4
MIME-Version: 	1.0
To: 	[email-masked]
Subject: 	Re: More on 'setup' fails and breaks pre-existing Cygwin 
installation: "The Rational Rose Files" & path stuff.
References: 	<[email-masked]>
In-Reply-To: 	<[email-masked]>
Content-Type: 	text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 	7bit

Dave,

Well, from the DOS command prompt I tried:
---snip---
cd C:\cygwin
PATH C:\WinNT\system32;C:\WinNT;C:\WinNT\system32\Wbem
bash --login -i
---snip---

and I also tried this in my .bashrc (all one line):

export 
PATH="/cygdrive/c/WinNT/system32:/cygdrive/c/WinNT:/cygdrive/c/WinNT/system32/Wbem:$JAVA_HOME/bin:/home/Administrator/code:/usr/bin:/usr/sbin:/usr/local/bin/."

(which checks out:
TLSWE-LAPTOP-A0  Wed Mar 24 23:00:47
~/echo $PATH
/cygdrive/c/WinNT/system32:/cygdrive/c/WinNT:/cygdrive/c/WinNT/system32/Wbem:/cy
gdrive/c/j2sdk1.4.2_04/bin:/home/Administrator/code:/usr/bin:/usr/sbin:/usr/loca
l/bin/.
TLSWE-LAPTOP-A0  Wed Mar 24 23:00:52
~/
)

and still the same problem: a three minute wait between shell commands.  
Should I try to re-install, setting the PATH in such a way that the 
install would complete correctly (that is my original symptom)?  If so, 
how would I do this?

Thank you very much.

- Chris Balz.

Christopher M. Balz wrote:

> I didn't suspect Rational Rose since I've run Cygwin fine when it was 
> my previous Cygwin installation and when Rose had already been 
> installed.  Apparently however, from your comments, it looks as if the 
> MKS system makes breaks the Cygwin installation.  Is there a way (or a 
> place I could look to find out) where I could protect the path that 
> Cygwin uses?
>
> Thank you so much for your help.
>
> - Chris
>
> Dave Korn wrote:
>
>>> -----Original Message-----
>>> From: cygwin-owner On Behalf Of Igor Pechtchanski
>>> Sent: 22 March 2004 13:39
>>>   
>>
>>
>>> On Sun, 21 Mar 2004, Christopher M. Balz wrote:
>>>   
>>
>>
>>>> I did run
>>>>
>>>> "c:\cygwin\bin\bash --norc"
>>>>
>>>> After a couple minutes the command prompt gave me:
>>>>
>>>>    C:\WINNT\SYSTEM32>c:\cygwin\bin\bash --norc
>>>>    bash-2.05b$
>>>>
>>>> This command prompt cannot find any commands ('ls' is 'not found').
>>>>     
>>>
>>>
>>> Please re-read the message below.  It says that "you'll need to 
>>> explicitly prepend "/bin:/usr/bin:/usr/X11R6/bin" to your PATH 
>>> before you'll be able to run any commands".
>>>   
>>
>>
>>
>>  I notice also that there are already directories in Christopher's  path
>> called 'bin', 'x11', and 'mksnt'.  [ Light bulbs should be appearing 
>> in the
>> air above heads about now, upon seeing the dreaded letters 'm', 'k' 
>> and 's'
>> in that particular order..... ]
>>
>>  This last one in particular makes me wonder if the Rational tools 
>> you have
>> installed maybe include or are based around the Mortice Kern Systems 
>> Unix
>> toolset.  It's a well-known problem that if you try and run cygwin while
>> having MKS tools in the $PATH they can sometimes clash.  I'd want to 
>> start a
>> dos command shell, then remove all the crud and set a minimal $PATH, 
>> and try
>> again: something like this at the command prompt might work...
>>
>> ---snip---
>> cd C:\cygwin
>> PATH C:\WinNT\system32;C:\WinNT;C:\WinNT\system32\Wbem
>> bash --login -i
>> ---snip---
>>
>>  
>>
>>> Hmm...  I suspect that it takes this long to determine the hostname 
>>> of your machine.
>>>   
>>
>>
>>
>>  Did you notice that it's the same as his $LOGONSERVER?  It shouldn't 
>> take
>> that long to look up a hostname when you're logged on directly at the
>> keyboard of the domain controller.
>>
>>  But of all the environment variables, I think this is the one that's 
>> doing
>> the most damage:
>>
>> ---snip from cygcheck.out---
>> SHELL = `C:\PROGRA~1\RATIONAL\RATION~1\NUTCROOT\mksnt\sh.exe'
>> ---snip---
>>
>>  Ouch.  So everytime Cygwin bash tries to fork a subprocess, it 
>> launches it
>> using MKS sh.  No wonder it loses!
>>
>> ---snip from cygcheck.out---
>> TERM = `nutc'
>> ---snip---
>>
>>  Wouldn't have thought cygwin would make much sense of that either.
>>
>>    cheers,      DaveK
>>  
>>
>
>

-- 
*Contact Info:*
Christopher M. Balz
Senior Software Engineer
/TreeLogic Software Engineering <http://treelogic-swe.com>/
160 Lincoln Avenue
Palo Alto, CA 94301-2437 U.S.A.
650.327.0367
[email-masked] <mailto:[email-masked]>
[email-masked] 
<mailto:[email-masked]>
[email-masked] <mailto:[email-masked]>
------------------------------------------------------------------------
". . . / This Cabinet is formd of Gold / And Pearl & Crystal shining bright
And within it opens into a World / . . .
Another England there I saw / Another London with its Tower
Another Thames & other Hills / And another pleasant Surrey Bower
. . ."
- from /The Crystal Cabinet <http://www.bartleby.com/236/59.html>/, a 
poem by *William Blake <http://www.art4net.com/EXPObl.html>* 
(18th-century English poet) where Blake rues England's rule.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

-- 
*Contact Info:*
Christopher M. Balz
Senior Software Engineer
/TreeLogic Software Engineering <http://treelogic-swe.com>/
160 Lincoln Avenue
Palo Alto, CA 94301-2437 U.S.A.
650.327.0367
[email-masked] <mailto:[email-masked]>
[email-masked] 
<mailto:[email-masked]>
[email-masked] <mailto:[email-masked]>
------------------------------------------------------------------------
". . . / This Cabinet is formd of Gold / And Pearl & Crystal shining bright
And within it opens into a World / . . .
Another England there I saw / Another London with its Tower
Another Thames & other Hills / And another pleasant Surrey Bower
. . ."
- from /The Crystal Cabinet <http://www.bartleby.com/236/59.html>/, a 
poem by *William Blake <http://www.art4net.com/EXPObl.html>* 
(18th-century English poet) where Blake rues England's rule.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/